Bug 175829 - java/openjdk7 build failed on FreeBSD 7
Summary: java/openjdk7 build failed on FreeBSD 7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 13:50 UTC by Nobuhiro Ban
Modified: 2013-03-03 05:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nobuhiro Ban 2013-02-04 13:50:00 UTC
/usr/bin/patch on FreeBSD 7-STABLE does not accept long line.
So we can not build openjdk7 from ports.


Script log of portupgrade:

Fix: 

Some ideas:

(a) Remove hotspot/test/runtime/7158804/Test7158804.sh from files/patch-set,
    and place it separately in files/.

or

(b) Use /usr/ports/devel/patch for patching on old FreeBSD.
How-To-Repeat: always
Comment 1 Edwin Groothuis freebsd_committer 2013-02-04 21:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Nobuhiro Ban 2013-02-16 15:54:02 UTC
>(b) Use /usr/ports/devel/patch for patching on old FreeBSD.

I wrote a patch:

--- /usr/ports/java/openjdk7/Makefile
+++ ./Makefile
@@ -135,6 +135,11 @@
 BUILD_DEPENDS+=		${BOOTSTRAPJDKDIR}/bin/javac:${PORTSDIR}/java/bootstrap-openjdk
 .endif

+.if ${OSVERSION} < 800000
+PATCH_DEPENDS+=		gpatch:${PORTSDIR}/devel/patch
+PATCH=			gpatch
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} "s|%%LOCALBASE%%|${LOCALBASE}|" \
 		${WRKSRC}/hotspot/src/os/bsd/vm/os_bsd.cpp
Comment 3 dfilter service freebsd_committer 2013-03-03 05:08:52 UTC
Author: glewis
Date: Sun Mar  3 05:08:45 2013
New Revision: 313327
URL: http://svnweb.freebsd.org/changeset/ports/313327

Log:
  . Use gpatch for patching on older (7.x) versions of FreeBSD.
  
  PR:		175829
  Submitted by:	Nobuhiro Ban <ban.nobuhiro@gmail.com>

Modified:
  head/java/openjdk7/Makefile

Modified: head/java/openjdk7/Makefile
==============================================================================
--- head/java/openjdk7/Makefile	Sun Mar  3 04:56:14 2013	(r313326)
+++ head/java/openjdk7/Makefile	Sun Mar  3 05:08:45 2013	(r313327)
@@ -135,6 +135,11 @@ BOOTSTRAPJDKDIR?=	${LOCALBASE}/bootstrap
 BUILD_DEPENDS+=		${BOOTSTRAPJDKDIR}/bin/javac:${PORTSDIR}/java/bootstrap-openjdk
 .endif
 
+.if ${OSVERSION} < 800000
+PATCH_DEPENDS+=	gpatch:${PORTSDIR}/devel/patch
+PATCH=		gpatch
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} "s|%%LOCALBASE%%|${LOCALBASE}|" \
 		${WRKSRC}/hotspot/src/os/bsd/vm/os_bsd.cpp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Greg Lewis freebsd_committer 2013-03-03 05:09:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!